
use "${gsdNBHS}/NBHS_NONFOOD.dta", clear
*define labels
label define lnonfoodid 101 "Pre primary and primary education", add
label define lnonfoodid 102 "Secondary education", add
label define lnonfoodid 103 "Post secondary education", add
label define lnonfoodid 104 "Higher education", add
label define lnonfoodid 105 "Un-specified educational level", add
label define lnonfoodid 112 "Accommodation services, hotel rent etc. Not for the house", add
label define lnonfoodid 311 "Clothing materials, tissue etc", add
label define lnonfoodid 313 "Other type of clothing (hat, tie etc)", add
label define lnonfoodid 314 "Laundry, repair and rental", add
label define lnonfoodid 315 "Tailoring fees", add
label define lnonfoodid 721 "Spare parts and accessories for personal transport", add
label define lnonfoodid 722 "Fuel, oils and lubricants for personal transport", add
label define lnonfoodid 723 "Maintenance and repair of personal transport", add
label define lnonfoodid 724 "Other services related to personal transport", add
label define lnonfoodid 915 "Repair of equipment", add
label define lnonfoodid 952 "Newspapers and periodicals", add
label define lnonfoodid 954 "Stationary and painting", add
label define lnonfoodid 1254 "Relating insurance transport", add
label define lnonfoodid 31201 "Infant and boys clothing", add
label define lnonfoodid 31213 "Men’s clothing", add
label define lnonfoodid 31214 "Girls clothing", add
label define lnonfoodid 31218 "Lady’s clothing", add
label define lnonfoodid 32101 "Men’s shoes (normal skin)", add
label define lnonfoodid 32111 "Men’s Slippers", add
label define lnonfoodid 32115 "Women’s shoes (normal skin)", add
label define lnonfoodid 32117 "Women’s leather slippers", add
label define lnonfoodid 32124 "Girl’s shoes imitation leather", add
label define lnonfoodid 43101 "Occupied family housing maintenance cost", add
label define lnonfoodid 44101 "Monthly water fees", add
label define lnonfoodid 44201 "Waste fees", add
label define lnonfoodid 44403 "Other related fees and services", add
label define lnonfoodid 45101 "Electricity to homes from grid (kw)", add
label define lnonfoodid 45201 "Gas cylinder 12.5 kg", add
label define lnonfoodid 45301 "Kerosene", add
label define lnonfoodid 45302 "Generator fuel", add
label define lnonfoodid 45401 "Charcoal", add
label define lnonfoodid 45402 "Wood fuel", add
label define lnonfoodid 45403 "Other energy source", add
label define lnonfoodid 51101 "Furniture", add
label define lnonfoodid 51201 "Linoleum /plastic floring", add
label define lnonfoodid 51202 "Carpet imported", add
label define lnonfoodid 52001 "Bed sheets, mattress, pillows mosquito net etc", add
label define lnonfoodid 53101 "Refrigerators, washing machines, air coolers etc", add
label define lnonfoodid 53102 "Ceiling fan, electric iron, mixers etc", add
label define lnonfoodid 53103 "Other", add
label define lnonfoodid 53301 "Filling of refrigerator gas", add
label define lnonfoodid 53303 "Mixer repair", add
label define lnonfoodid 53304 "Other electrical household appliances repair", add
label define lnonfoodid 54001 "Cooking suit (pots)", add
label define lnonfoodid 54002 "Glass plate", add
label define lnonfoodid 54003 "Glass bowl (imported)", add
label define lnonfoodid 54009 "Spoons, knives, forks", add
label define lnonfoodid 54012 "Tea cups, glasses etc", add
label define lnonfoodid 55201 "Tools and hand equipments", add
label define lnonfoodid 55202 "Dry-cell battery (Haggar battery –large size)", add
label define lnonfoodid 55203 "Torch/Flash light", add
label define lnonfoodid 55204 "Paraffin lamp", add
label define lnonfoodid 56101 "Match boxes", add
label define lnonfoodid 56102 "Laundry soap (local)", add
label define lnonfoodid 56103 "Soap (powder)", add
label define lnonfoodid 56104 "Bathing soap", add
label define lnonfoodid 56117 "Other", add
label define lnonfoodid 56201 "Service cost weekly salary at family house", add
label define lnonfoodid 56202 "Other kind of domestic services", add
label define lnonfoodid 61101 "Cough Syrup medicine (cold)", add
label define lnonfoodid 61102 "Drug tabs and roots for reducing fever and malaria", add
label define lnonfoodid 61103 "Antibiotics", add
label define lnonfoodid 61204 "Other pharmaceutical products", add
label define lnonfoodid 61301 "Medical eye glasses", add
label define lnonfoodid 61302 "Hearing aid", add
label define lnonfoodid 62101 "Specialist and general doctors", add
label define lnonfoodid 62103 "Medical consultation at hospital", add
label define lnonfoodid 62105 "Planning blood vessels", add
label define lnonfoodid 62201 "Filling and treatment of teeth", add
label define lnonfoodid 62301 "Malaria blood testing", add
label define lnonfoodid 62302 "Other tests (blood, urine, feces)", add
label define lnonfoodid 62303 "x-ray test", add
label define lnonfoodid 62304 "Physiotherapy", add
label define lnonfoodid 63001 "Birth in general hospital", add
label define lnonfoodid 63004 "Operations in hospital", add
label define lnonfoodid 63005 "Traditional healers fee/medicine", add
label define lnonfoodid 71101 "Private sedan cars for family use", add
label define lnonfoodid 71201 "Motorcycle for private use", add
label define lnonfoodid 71301 "Bicycle", add
label define lnonfoodid 73101 "Movement and freight using train or road transport", add
label define lnonfoodid 73103 "Boda-boda, taxi and bus fares", add
label define lnonfoodid 73301 "Tickets for air travel", add
label define lnonfoodid 73401 "Tickets for travel by sea or river", add
label define lnonfoodid 81001 "Cost of sending mail and parcel", add
label define lnonfoodid 82001 "Mobile and fix phone costs and their repair", add
label define lnonfoodid 83001 "Monthly telephone subscription fees for housing", add
label define lnonfoodid 83002 "Fixed telephone bills", add
label define lnonfoodid 83003 "Mobile airtime and internet and fax fees", add
label define lnonfoodid 91101 "Color TV, radio etc", add
label define lnonfoodid 91301 "Computers and calculators", add
label define lnonfoodid 91401 "Photographic and computers tapes/CD", add
label define lnonfoodid 93201 "Football and other sports equipment", add
label define lnonfoodid 93401 "Spending on pets and related products", add
label define lnonfoodid 94101 "Participate and fees in sports clubs and tickets", add
label define lnonfoodid 94102 "Boda boda fares", add
label define lnonfoodid 94103 "Marriage ceremony costs", add
label define lnonfoodid 95101 "Spending on books including textbooks", add
label define lnonfoodid 96001 "Organized travels incl Hajj and Umrah", add
label define lnonfoodid 121101 "Hair cut for men, hair dressing for women", add
label define lnonfoodid 121102 "Sauna bath", add
label define lnonfoodid 121105 "Decoration for women", add
label define lnonfoodid 121106 "Other personal care services", add
label define lnonfoodid 121201 "Small electric hairdryer etc", add
label define lnonfoodid 121303 "Shampoo, creams and perfumes", add
label define lnonfoodid 121313 "Tooth paste and teeth brush", add
label define lnonfoodid 121314 "Ordinary razor", add
label define lnonfoodid 121321 "Talh wood and shaf", add
label define lnonfoodid 121322 "Other", add
label define lnonfoodid 123101 "Gold and silver", add
label define lnonfoodid 123103 "Wristwatch and wall clock", add
label define lnonfoodid 123201 "Suitcase, schoolbags etc", add
label define lnonfoodid 125401 "Compulsory car insurance", add
label define lnonfoodid 127001 "Charges for official document inclusive ID card", add
label define lnonfoodid 127002 "Driving license fees", add
label define lnonfoodid 127003 "Birth certificate fees", add
label define lnonfoodid 127004 "Marriage document fees", add
label define lnonfoodid 127005 "Passport fees", add
label define lnonfoodid 127007 "Ownership document for real estate", add
label define lnonfoodid 127010 "Other", add
label define lnonfoodid 431011 "Faucet (tap)", add
label define lnonfoodid 431012 "Neon bulb", add
label define lnonfoodid 431013 "Glass for building", add
label define lnonfoodid 431014 "Portland cement", add
label define lnonfoodid 431015 "Switch (electric)", add
label define lnonfoodid 431016 "Other materials for housing maintenance", add
label define lnonfoodid 552011 "Hand operated screwdriver", add
label define lnonfoodid 552012 "Hand saw", add
label define lnonfoodid 552013 "Tree branch scissor", add
label define lnonfoodid 552014 "Mobile ladder", add
label define lnonfoodid 552015 "Bulb charger (imported)", add
label define lnonfoodid 552016 "Electrical link", add
label define lnonfoodid 630041 "Government hospital", add
label define lnonfoodid 630042 "Private hospital", add
label val item lnonfoodid
*create string var
decode item, gen(item_name)
replace item_name="Post secondary education / Higher Education" if item_name=="Post secondary education" | item_name=="Higher education"
replace item_name="Telephone subscription fees (no airtime)" if item_name=="Fixed telephone bills" | item_name=="Monthly telephone subscription fees for housing"
replace item_name="Boda-boda, taxi and bus fares" if item_name=="Boda boda fares" 
*tempsave
rename item_name itemlabel
save "${gsdTemp}/nbhs_nonfood_itemname.dta", replace
*fuzzy match
use "${gsdTemp}/nbhs_nonfood_itemname.dta", clear
collapse q2, by(itemlabel)
gen id=_n
drop q2
reclink  itemlabel using "${gsdTemp}/nonfood_itemlabels.dta", idmaster(id) idusing(itemid) gen(score) 
keep if _merge==3
drop id score _merge
save "${gsdTemp}/NBHS_HFS_nonfood_mergekey.dta", replace
*merge back
use "${gsdTemp}/nbhs_nonfood_itemname.dta", clear
merge m:1 itemlabel using "${gsdTemp}/NBHS_HFS_nonfood_mergekey.dta", nogen assert(match master) keep(match master)
keep if mod_opt==0
labmask itemid, val(Uitemlabel)
keep state cluster hhid q2 q3 itemid module
order state cluster hhid itemid, first
*create item_recall
gen item_recall=30 if module==4
replace item_recall=365 if module==5
*gen daily value
gen v=q3/item_recall
*collapse into hh data
collapse (sum) value_nfc=v , by(state cluster hhid)
save "${gsdTemp}/nbhs_corenonfood.dta", replace
