*labelling multi-select variables

/*
forval i=1/13 {
	local longlabel: var label modules__`i'
	local shortlabel = substr("`longlabel'",44,_N)
	label var modules__2 "1.3 `shortlabel'"
}
*/

label var twater_d_disp   "C.44 Time to walk (one way) to closest water source before displacement: days"
label var twater_h_disp   "C.44 Time to walk (one way) to closest water source before displacement: hours"
label var twater_m_disp   "C.44 Time to walk (one way) to closest water source before displacement: minutes" 
label var tmarket_d_disp   "C.45 Time to walk (one way) to the closest food market before displacement: days"
label var tmarket_h_disp   "C.45 Time to walk (one way) to the closest food market before displacement: hours"
label var tmarket_m_disp   "C.45 Time to walk (one way) to the closest food market before displacement: minutes" 
label var tedu_d_disp   "C.46 Time to walk (one way) to the closest primary school before displacement: days"
label var tedu_h_disp   "C.46 Time to walk (one way) to the closest primary school before displacement: hours"
label var tedu_m_disp   "C.46 Time to walk (one way) to the closest primary school before displacement: minutes" 
label var thealth_d_disp   "C.47 Time to walk (one way) to the nearest health center before displacement: days"
label var thealth_h_disp   "C.47 Time to walk (one way) to the nearest health center before displacement: hours"
label var thealth_m_disp   "C.47 Timeto walk (one way) to the nearest health center before displacement: minutes" 

label var twater_d   "C.11 Time to walk (one way) to closest water source: days"
label var twater_h   "C.11 Time to walk (one way) to closest water source: hours"
label var twater_m   "C.11 Time to walk (one way) to closest water source: minutes" 
label var tmarket_d   "C.11 Time to walk (one way) to the closest food market: days"
label var tmarket_h   "C.11 Time to walk (one way) to the closest food market: hours"
label var tmarket_m   "C.11 Time to walk (one way) to the closest food market: minutes" 
label var tedu_d   "C.11 Time to walk (one way) to the closest primary school: days"
label var tedu_h   "C.11 Time to walk (one way) to the closest primary school: hours"
label var tedu_m   "C.11 Time to walk (one way) to the closest primary school: minutes" 
label var thealth_d   "C.11 Time to walk (one way) to the nearest health center:days"
label var thealth_h   "C.11 Time to walk (one way) to the nearest health center: hours"
label var thealth_m   "C.11 Timeto walk (one way) to the nearest health center: minutes" 

label variable method_treat__1 "C.14 Water treatment: Boil"
label variable method_treat__2 "C.14 Water treatment: Add bleach/chlorine"
label variable method_treat__3 "C.14 Water treatment: Strain it through a cloth"
label variable method_treat__4 "C.14 Water treatment: Use a water filter (ceramic, sand, composite, etc.)"
label variable method_treat__5 "C.14 Water treatment: Solar disinfection"
label variable method_treat__6 "C.14 Water treatment: Let it stand and settle"
label variable method_treat__1000 "C.14 Water treatment: Other"
label variable method_treat__n98 "C.14 Water treatment: Don't know"
label variable method_treat__n99 "C.14 Water treatment: Refused to respond"

label variable intremit_mode__1 "C.107 Remittances channel: At a bank"
label variable intremit_mode__2 "C.107 Remittances channel: At a remittance company like Dahabshil"
label variable intremit_mode__3 "C.107 Remittances channel: In the mail"
label variable intremit_mode__4 "C.107 Remittances channel: By a courier"
label variable intremit_mode__5 "C.107 Remittances channel: Through the internet"
label variable intremit_mode__6 "C.107 Remittances channel: Through a credit card or ATM card"
label variable intremit_mode__7 "C.107 Remittances channel: Through a family member or friend travelling to your area"
label variable intremit_mode__8 "C.107 Remittances channel: By a bus or minibus"
label variable intremit_mode__9 "C.107 Remittances channel: Through a mobile phone"
label variable intremit_mode__1000 "C.107 Remittances channel: Other"
label variable intremit_mode__n98 "C.107 Remittances channel: Don't know"
label variable intremit_mode__n99 "C.107 Remittances channel: Refused to respond"

label variable conf_nonphys_harm__1 "I.12 Anyone in HH or yourself experience: Verbally insulted but not threatened"
label variable conf_nonphys_harm__2 "I.12 Anyone in HH or yourself experience: Verbally threatened"
label variable conf_nonphys_harm__3 "I.12 Anyone in HH or yourself experience: Threatened with knife, gun or other weapon"
label variable conf_nonphys_harm__4 "I.12 Anyone in HH or yourself experience: Sexually harassed"
label variable conf_nonphys_harm__6 "I.12 Anyone in HH or yourself experience: Extorted for money or goods"
label variable conf_nonphys_harm__7 "I.12 Anyone in HH or yourself experience: Robbed"
label variable conf_nonphys_harm__8 "I.12 Anyone in HH or yourself experience: Kidnapped/Abducted"
label variable conf_nonphys_harm__9 "I.12 Anyone in HH or yourself experience: Forced to join armed forces (government or opposition)"

label variable disp_shelterpay_who__1 "I.46 Money/goods given to: Government authorities"
label variable disp_shelterpay_who__2 "I.46 Money/goods given to: Military"
label variable disp_shelterpay_who__3 "I.46 Money/goods given to: Community organization or gang (gatekeepers)"
label variable disp_shelterpay_who__4 "I.46 Money/goods given to: Tribal authorities"
label variable disp_shelterpay_who__5 "I.46 Money/goods given to: NGO or UN personnel"
label variable disp_shelterpay_who__1000 "I.46 Money/goods given to: Other"
label variable disp_shelterpay_who__n98 "I.46 Money/goods given to: Don't know"
label variable disp_shelterpay_who__n99 "I.46 Money/goods given to: Refused to respond"

label variable disp_shelterpay_what__1 "I.47 Goods given: Food"
label variable disp_shelterpay_what__2 "I.47 Goods given: Assets"
label variable disp_shelterpay_what__3 "I.47 Goods given: Money"
label variable disp_shelterpay_what__4 "I.47 Goods given: Labor"
label variable disp_shelterpay_what__1000 "I.47 Goods given: Other"
label variable disp_shelterpay_what__n98 "I.47 Goods given: Don't know"
label variable disp_shelterpay_what__n99 "I.47 Goods given: Refused to respond"

label variable move_no_push_main__1 "I.51 Better security"
label variable move_no_push_main__2 "I.51 Better access to home/land/livestock"
label variable move_no_push_main__3 "I.51 Better access to education and health services"
label variable move_no_push_main__4 "I.51 Better access to livelihood"
label variable move_no_push_main__5 "I.51 Family reasons"
label variable move_no_push_main__6 "I.51 Acess to humanitarian aid"
label variable move_no_push_main__1000 "I.51 Other"
label variable move_no_push_main__n98 "I.51 Don't know"
label variable move_no_push_main__n99 "I.51 Refused to respond"

label variable move_no_pull_main__1 "I.52 Armed conflict"
label variable move_no_pull_main__2 "I.52 Increased insecurity"
label variable move_no_pull_main__3 "I.52 Ethnic/political/religious discrimination and persecuttion"
label variable move_no_pull_main__4 "I.52 Drought/famine/flood"
label variable move_no_pull_main__5 "I.52 Lack of access to home/land/livestock"
label variable move_no_pull_main__6 "I.52 Lack of access to education and health services"
label variable move_no_pull_main__7 "I.52 Lack of employment opportunities"
label variable move_no_pull_main__8 "I.52 Family reasons"
label variable move_no_pull_main__9 "I.52 Lose access to humanitarian aid"
label variable move_no_pull_main__1000 "I.52 Other"
label variable move_no_pull_main__n98 "I.52 Don't know"
label variable move_no_pull_main__n99 "I.52 Refused to respond"

label variable move_yes_push_main__1 "I.53 Armed conflict"
label variable move_yes_push_main__2 "I.53 Increased insecurity"
label variable move_yes_push_main__3 "I.53 Ethnic/political/religious discrimination and persecution"
label variable move_yes_push_main__4 "I.53 Drought/famine/flood"
label variable move_yes_push_main__5 "I.53 Lack of access to home/land/livestock"
label variable move_yes_push_main__6 "I.53 Lack of access to education and health services"
label variable move_yes_push_main__7 "I.53 Lack of employment opportunities"
label variable move_yes_push_main__8 "I.53 Family reasons"
label variable move_yes_push_main__9 "I.53 Lack of humanitarian assistance (particularly food)"
label variable move_yes_push_main__10 "I.53 Lack of proper management of the site"
label variable move_yes_push_main__11 "I.53 Tensions with the host community"
label variable move_yes_push_main__1000 "I.53 Other"
label variable move_yes_push_main__n98 "I.53 Don't know"
label variable move_yes_push_main__n99 "I.53 Refused to respond"

label variable move_no_org_main__1 "I.54 Armed conflict"
label variable move_no_org_main__2 "I.54 Increased insecurity"
label variable move_no_org_main__3 "I.54 Ethnic/political/religious discrimination and persecution"
label variable move_no_org_main__4 "I.54 Drought/famine/flood"
label variable move_no_org_main__5 "I.54 Lack of access to home/land/livestock"
label variable move_no_org_main__6 "I.54 Lack of access to education services and health services"
label variable move_no_org_main__7 "I.54 Lack of employment opportunities"
label variable move_no_org_main__8 "I.54 Family reasons"
label variable move_no_org_main__9 "I.54 Lose access to humanitarian aid"
label variable move_no_org_main__1000 "I.54 Other"
label variable move_no_org_main__n98 "I.54 Don't know"
label variable move_no_org_main__n99 "I.54 Refused to respond"

label variable move_yes_pull_main__1 "I.55 Better security"
label variable move_yes_pull_main__2 "I.55 Better access to home/land/livestock"
label variable move_yes_pull_main__3 "I.55 Better access to education and health services"
label variable move_yes_pull_main__4 "I.55 Better access to livelihood/employment opportunities"
label variable move_yes_pull_main__5 "I.55 Family reasons"
label variable move_yes_pull_main__6 "I.55 Access to humanitarian aid"
label variable move_yes_pull_main__1000 "I.55 Other"
label variable move_yes_pull_main__n98 "I.55 Don't know"
label variable move_yes_pull_main__n99 "I.55 Refused to respond"

label variable move_help__1 "I.56 Security"
label variable move_help__2 "I.56 Mine clearance"
label variable move_help__3 "I.56 Access to orginal house/land"
label variable move_help__4 "I.56 Provision of a new shelter/housing"
label variable move_help__5 "I.56 Access to a farm plot and / or grazing land"
label variable move_help__6 "I.56 Agricultural tools & seeds / livestock"
label variable move_help__7 "I.56 Funds/productive assets for re-establishing business"
label variable move_help__8 "I.56 Skills training for job"
label variable move_help__9 "I.56 Connections for jobs"
label variable move_help__10 "I.56 Acess to markets"
label variable move_help__11 "I.56 Access to educational markets"
label variable move_help__12 "I.56 Access to health services"
label variable move_help__13 "I.56 Access to water and/or sanitation"
label variable move_help__14 "I.56 Access to aid"
label variable move_help__15 "I.56 Transportation arrangement"
label variable move_help__16 "I.56 Regrouping of family"
label variable move_help__17 "I.56 Renewal/ replacement of documentations"
label variable move_help__1000 "I.56 Other"

label variable inf_source_add__1 "I.59 Radio"
label variable inf_source_add__2 "I.59 TV"
label variable inf_source_add__3 "I.59 Intranet and social media"
label variable inf_source_add__4 "I.59 Written"
label variable inf_source_add__5 "I.59 Community leaders/ elders"
label variable inf_source_add__6 "I.59 Family and friends"
label variable inf_source_add__7 "I.59 Religious leaders"
label variable inf_source_add__8 "I.59 Politicians"
label variable inf_source_add__9 "I.59 Charities, NGO, UN or other public organizations"
label variable inf_source_add__10 "I.59 Site management committees"
label variable inf_source_add__1000 "I.59 Other"
label variable inf_source_add__n98 "I.59 Don't know"
label variable inf_source_add__n99 "I.59 Refused to respond"

label variable inf_want__1 "I.62 Information about political situation"
label variable inf_want__2 "I.62 Information about security situation"
label variable inf_want__3 "I.62 Information about security situation on transit routes"
label variable inf_want__4 "I.62 Information about availability of basic services"
label variable inf_want__5 "I.62 Information about quality of basic services"
label variable inf_want__6 "I.62 Information about availability of work"
label variable inf_want__7 "I.62 Information about access to land/property/housing"
label variable inf_want__8 "I.62 Information about transport options"
label variable inf_want__9 "I.62 Information about whether the households will be able to return"
label variable inf_want__10 "I.62 Information about whether the households will have access to humanitarian aid"
label variable inf_want__11 "I.62 Information about how to obtain or renew documents"
label variable inf_want__1000 "I.62 Other"
label variable inf_want__n98 "I.62 Don't know"
label variable inf_want__n99 "I.62 Refused to respond"

label variable respondent_q_section__1000 "K.9 All modules"
label variable respondent_q_section__0 "K.9 Module 0: Administrative information"
label variable respondent_q_section__1 "K.9 Module A: Interview and household information"
label variable respondent_q_section__2 "K.9 Module B: Household roster"
label variable respondent_q_section__3 "K.9 Module C: Household characteristics"
label variable respondent_q_section__4 "K.9 Module D: Food consumption"
label variable respondent_q_section__5 "K.9 Module E: Non-food consumption"
label variable respondent_q_section__9 "K.9 Module F: Livestock"
label variable respondent_q_section__10 "K.9 Module G: Durable goods"
label variable respondent_q_section__11 "K.9 Module H: Wellbeing and opinions"
label variable respondent_q_section__12 "K.9 Module I: Conflict and displacement"
label variable respondent_q_section__13 "K.9 Module J: End of interview"

label variable check "D.12 You had earlier said the household had bread"
label variable check_m "D.20 You had earlier said the household had meat"
label variable check_f "D.28 You had earlier said the household had fruits"
label variable check_p "D.36 You had earlier said the household had pulses"

label var assist_source__1 "C.100 HH receives assistance: UN"
label var assist_source__2 "C.100 HH receives assistance: NGOs/ Development Partners/ Donors other than the UN"
label var assist_source__3 "C.100 HH receives assistance: Government"
label var assist_source__4 "C.100 HH receives assistance: Remittances (money or goods) from family and friends living inside South Sudan (This does not include loans)"
label var assist_source__5 "C.100 HH receives assistance: Remittances (money or goods) from family and friends living outside South Sudan (This does not include loans)"
label var assist_source__1000 "C.100 HH receives assistance: Other"

label variable los_reason "F.5 Without the conflict, would you still have less livestock today"
label variable beh_time_mon "H.2 Would you prefer: Money today or Money in 1 month"
label variable beh_time_mon_more "H.3 Would you prefer:Money today or money in one month - risk averseness"
label variable beh_time_mon_less "H.4 Would you prefer:Money today or money in one month - risk propensity"
label variable beh_time_yr "H.5 Would you prefer:Money in one year or money in one year and one month"
label variable beh_time_yr_more "H.6 Would you prefer:Money in one year or money in one year and one month - risk averseness"
label variable beh_time_yr_less "H.7 Would you prefer: Money in one year or money in a year and a month - risk propensity"
label variable beh_time_risk "H.11 Would you prefer: Money today or money in installments"
label variable beh_risk_bus "H.12 Would you prefer: Investing in a low risk/high risk business"
 
foreach v of varlist living_standards_poor creating_jobs prices_down fighting_corruption maintaing_roads_brigdges reliable_electricity water_sanitation {
	local oldlabel : variable label `v'
	local code = substr("`oldlabel'",1,strrpos("`oldlabel'",".")+2)
	local newlabel = substr("`oldlabel'",strpos("`oldlabel'"," "),.)
	label var `v' "`code' Government effectiveness: `newlabel'"
}






